ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
set_field_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| controller (&$Options)

## Data Fields
| $Database = false
| $Security = false
| $PermitAlgorithms = false

## Detailed Description

Class provides record field set routine.

Author
  Dodonov A.A.

Definition at line 26 of file set_field.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 56 of file set_field.php.

{
try
{
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->PermitAlgorithms = get_package( 'permit::permit_algorithms' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

controller | ( | & | $Options | ) |

Component's controller.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 130 of file set_field.php.

{
try
{
$NotDirectControllerCall = $this->Security->get_s( 'direct_controller' , 'integer' , 0 ) == 0;
$HasPermits = $this->PermitAlgorithms->object_has_permit( false , 'user' , $Permit );
$GetPostParamsPassed = $this->Security->get_gp( 'set_field' , 'integer' , 1 );
$Permit = $Options->get_setting( 'permit' , 'admin' );
if( $NotDirectControllerCall && $HasPermits && $GetPostParamsPassed )
{
$this->set_field( $Options );
}
}
catch( Exception $e )
{
$Args = func_get_args();_throw_exception_object( __METHOD__ , $Args , $e );
}
}

## Field Documentation

$Database = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file set_field.php.

$PermitAlgorithms = false

Definition at line 40 of file set_field.php.

$Security = false

Definition at line 39 of file set_field.php.

The documentation for this class was generated from the following file:

- packages/database/packages/set_field/set_field.php